Resolido Docs
Contacts

Customer history by email

GET
/contacts/history

All conversations of a customer across chat and email by email address – including resolved, closed and deleted (trash) ones – merged across every contact record with that email.

Authorization

bearer contacts:read
headerAuthorizationBearer <token>

API key (rsl_live_…) from Settings → Developers.

Scope: contacts:read

Query Parameters

email*string

Customer email address.

Formatemail
Lengthlength <= 320

Response Body

Success

application/json
  1. response
contact*

The customer (merged from all contact records with this email); use the id with contact_get.

conversations*array<>
curl -X GET "https://example.com/contacts/history?email=user%40example.com"
{  "contact": {    "id": "string",    "name": "string",    "email": "string"  },  "conversations": [    {      "id": "string",      "channel": "chat",      "status": "string",      "label": "string",      "isClosed": true,      "inTrash": true,      "createdAt": 0,      "lastActivityAt": 0    }  ]}